stages:
  - build

container:
  image: jdrouet/docker-with-buildx:20.10.17-0.9.1
  stage: build
  services:
    - docker:20.10.17-dind
  only:
    - tags
  variables:
    IMAGE_URI: $CI_REGISTRY_IMAGE
    IMAGE_TAG: $CI_COMMIT_REF_SLUG
    DPUSH: "true"
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker buildx create --use
  script:
    - ./build.sh
